package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability591/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkChannelOrderUsercancelRequest struct {
	/*
	   取消信息     */
	UserCancelInfo *domain.AlibabaWdkChannelOrderUsercancelOrderUserCancelInfo `json:"user_cancel_info" required:"true" `
}

func (s *AlibabaWdkChannelOrderUsercancelRequest) SetUserCancelInfo(v domain.AlibabaWdkChannelOrderUsercancelOrderUserCancelInfo) *AlibabaWdkChannelOrderUsercancelRequest {
	s.UserCancelInfo = &v
	return s
}

func (req *AlibabaWdkChannelOrderUsercancelRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.UserCancelInfo != nil {
		paramMap["user_cancel_info"] = util.ConvertStruct(*req.UserCancelInfo)
	}
	return paramMap
}

func (req *AlibabaWdkChannelOrderUsercancelRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
